Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Intrusive_List_Node Class Template Reference

Implement the requirements for ACE_Intrusive_List. More...

`#include <Intrusive_List_Node.h>`

Collaboration diagram for ACE_Intrusive_List_Node:

[legend]
List of all members.

## Public Methods
Accesors and modifiers to the next and previous pointers
T * | prev (void) const
void | prev (T *)
T * | next (void) const
void | next (T *)
## Protected Methods
| ACE_Intrusive_List_Node (void)
| The constructor is protected, because only derived classes should be instantiated. More...
## Private Attributes
T * | prev_
| Head and tail of the list. More...
T * | next_

## Detailed Description

### template<class T>
class ACE_Intrusive_List_Node< T >

Implement the requirements for ACE_Intrusive_List.

The class should be used as follows:

class My_Object : public ACE_Intrusive_List_Node<My_Object> {
....
};

However, ACE is supported on platforms that would surely get confused using such templates, the class is provided as a helper for our lucky users that only need portability to modern C++ compilers.

## Constructor & Destructor Documentation

template<class T>
ACE_Intrusive_List_Node< T >::ACE_Intrusive_List_Node | ( | void |  | ) | `[protected]`

| The constructor is protected, because only derived classes should be instantiated.

## Member Function Documentation

template<class T>
ACE_INLINE void ACE_Intrusive_List_Node< T >::next | ( | T * | x | ) |

template<class T>
ACE_INLINE T * ACE_Intrusive_List_Node< T >::next | ( | void |  | ) | const

template<class T>
ACE_INLINE void ACE_Intrusive_List_Node< T >::prev | ( | T * | x | ) |

template<class T>
ACE_INLINE T * ACE_Intrusive_List_Node< T >::prev | ( | void |  | ) | const

## Member Data Documentation

template<class T>
T* ACE_Intrusive_List_Node::next_`[private]`

template<class T>
T* ACE_Intrusive_List_Node::prev_`[private]`

| Head and tail of the list.

The documentation for this class was generated from the following files:

- Intrusive_List_Node.h
- Intrusive_List_Node.cpp
- Intrusive_List_Node.inl